com.holonplatform.datastore.mongo.core.expression

## Interface BsonFilterExpression

- All Superinterfaces:
    com.holonplatform.core.Expression

      public interface BsonFilterExpression
      extends com.holonplatform.core.Expression

  `Bson` filter expression.
  Since:
    5.2.0

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `BsonFilterExpression.FilterAggregationPipeline` Filter aggregation pipeline stages.

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.Expression

      `com.holonplatform.core.Expression.ExpressionResolverFunction<E extends com.holonplatform.core.Expression,R extends com.holonplatform.core.Expression>, com.holonplatform.core.Expression.InvalidExpressionException`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static BsonFilterExpression` | `create(org.bson.conversions.Bson expression)` Create a new `BsonFilterExpression`.
    `static BsonFilterExpression` | `create(org.bson.conversions.Bson match, org.bson.conversions.Bson projection)` Create a new `BsonFilterExpression`.
    `org.bson.conversions.Bson` | `getExpression()` Get the filter expression.
    `Optional<BsonFilterExpression.FilterAggregationPipeline>` | `getPipeline()` If the filter must be represented using an aggregation pipeline, returns the pipeline.

    - ### Methods inherited from interface com.holonplatform.core.Expression

      `validate`

- - ### Method Detail

    - #### getExpression

          org.bson.conversions.Bson getExpression()

      Get the filter expression.
      Returns:
        The filter expression

    - #### getPipeline

          Optional<BsonFilterExpression.FilterAggregationPipeline> getPipeline()

      If the filter must be represented using an aggregation pipeline, returns the pipeline.
      Returns:
        Optional filter aggregation pipeline

    - #### create

          static BsonFilterExpression create(org.bson.conversions.Bson expression)

      Create a new `BsonFilterExpression`.
      Parameters:
        `expression` - Filter expression
      Returns:
        A new `BsonFilterExpression`

    - #### create

          static BsonFilterExpression create(org.bson.conversions.Bson match,
                                             org.bson.conversions.Bson projection)

      Create a new `BsonFilterExpression`.
      Parameters:
        `match` - Filter aggregation pipeline match stage
        `projection` - Optional filter aggregation pipeline projection stage
      Returns:
        A new `BsonFilterExpression`

Copyright © 2019 The Holon Platform. All rights reserved.